Bug 193893 - lua not packaged according to guildelines(no -devel, contains .a .la files)
lua not packaged according to guildelines(no -devel, contains .a .la files)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lua (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 15:03 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-17 03:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-06-02 15:03:13 EDT
lua is not packaged according to guildelines:
-lua really should have a seperate -devel package for the .h files, the
liblua.so symlink and the .pc file
-the .la file should not be shipped.
-the .a file also should preferably not be shipped.
Comment 1 Hans de Goede 2006-06-02 15:11:16 EDT
I just saw your lua split mail to FE was that before or after the creation of
this bug? (Doesn't matter just curious if I hit a human interaction race condition).
Comment 2 Michael J Knox 2006-06-03 05:47:38 EDT
According to the timestamps of the emails, I announced the split before the bug
creation. 

The devel split has been discussed in another bug thread also. Hence the email
to maintainers. 
Comment 3 Hans de Goede 2006-06-07 15:51:33 EDT
There is a bug in the split, the main lua package still Provides: lua-devel
causing the building of package which BR lua-devel to fail as they only get lua.

Let me know if you want this in a new bug.
Comment 4 Michael J Knox 2006-06-07 15:58:09 EDT
Fixed.. building now. Thanks for spotting that. 
Comment 5 Hans de Goede 2006-06-07 16:03:49 EDT
Your Welcome,

I didn't spot it though, I tripped over it while building a lua-devel Requiring
package :)

p.s.

Don't forget to close this bug again once the build is completed (I reopened it
I didn't know you were going to be that quick).

Note You need to log in before you can comment on or make changes to this bug.